## org.mortbay.util
Class Credential.Crypt

    java.lang.Object
      |
      +--org.mortbay.util.Credential
            |
            +--org.mortbay.util.Credential.Crypt

Enclosing class:
  Credential

public static class Credential.Crypt
extends Credential

Unix Crypt Credentials

Nested Class Summary

Nested classes inherited from class org.mortbay.util.Credential
`Credential.Crypt, Credential.MD5`

Field Summary
`static java.lang.String` `__TYPE`

Method Summary
`boolean` `check(java.lang.Object credentials)` Check a credential
`static java.lang.String` `crypt(java.lang.String user, java.lang.String pw)`

Methods inherited from class org.mortbay.util.Credential
`getCredential`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### __TYPE

    public static final java.lang.String __TYPE

See Also:
  Constant Field Values

Method Detail

### check

    public boolean check(java.lang.Object credentials)

  Description copied from class: `Credential`
  Check a credential

  Specified by:
    `check` in class `Credential`
  Parameters:
    `credentials` - The credential to check against. This may either be another Credential object, a Password object or a String which is interpreted by this credential.
  Returns:
    True if the credentials indicated that the shared secret is known to both this Credential and the passed credential.

### crypt

    public static java.lang.String crypt(java.lang.String user,
                                         java.lang.String pw)

Copyright © 2000 Mortbay Consulting Pty. Ltd. All Rights Reserved.